Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.dbcrypt.simple

# Class StaticValueDbCryptCallback

java.lang.Object
org.firebirdsql.gds.ng.dbcrypt.simple.StaticValueDbCryptCallback

All Implemented Interfaces:
  `DbCryptCallback`

public final class StaticValueDbCryptCallback extends Object implements DbCryptCallback
Simple database encryption callback, provides a static value response to the callback

Since:
  3.0.4
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`String`
`getDbCryptCallbackName()`
Name of the database encryption callback.
`DbCryptData`
`handleCallback(DbCryptData serverData)`
Callback method to be called with the server data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDbCryptCallbackName

public String getDbCryptCallbackName()
Description copied from interface: `DbCryptCallback`
Name of the database encryption callback.

Specified by:
  `getDbCryptCallbackName` in interface `DbCryptCallback`
Returns:
  Name for identifying this callback within Jaybird.
See Also:
  - `DbCryptCallbackSpi.getDbCryptCallbackName()`

### handleCallback

public DbCryptData handleCallback(DbCryptData serverData)
Description copied from interface: `DbCryptCallback`
Callback method to be called with the server data.

The implementation should reply with a response for the provided data. If the plugin cannot provide a response (eg because the server data is invalid), use an empty reply (eg use `DbCryptData.EMPTY_DATA`, or construct your own). The plugin should not throw an exception.

Specified by:
  `handleCallback` in interface `DbCryptCallback`
Parameters:
  `serverData` - Data received from the server (never `null`).
Returns:
  Reply data (never `null`, use `DbCryptData.EMPTY_DATA` if there is no (valid) reply).